Bug 261714 - sysutils/fusefs-ntfs: build and install ntfsusermap tool
Summary: sysutils/fusefs-ntfs: build and install ntfsusermap tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-04 15:35 UTC by Rainer Hurling
Modified: 2022-05-26 10:24 UTC (History)
4 users (show)

See Also:
danfe: maintainer-feedback-


Attachments
patch to enable ntfsusermap tool (2.15 KB, patch)
2022-02-04 15:35 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2022-02-04 15:35:08 UTC
Created attachment 231553 [details]
patch to enable ntfsusermap tool

Don't know if there is any reason, why ntfsusermap is not build and installed with the current port sysutils/fusefs-ntfs?

After patching and rebuilding the port with the attached patch, I had been able to generate a so called 'UserMap' file with ntfsusermap from an NTFS partition and copied it into a '.NTFS-3G' named directory of that NTFS partition. After mounting, the permissions seem to work as expected.

BTW: There is also a newer release of NTFS-3g in the Github repo:
[1] https://github.com/tuxera/ntfs-3g/releases/tag/2021.8.22
Comment 1 Fernando Apesteguía freebsd_committer 2022-02-08 07:13:05 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Alexey Dokuchaev freebsd_committer 2022-05-24 03:07:08 UTC
With no objection from the maintainer during past three months, I think you can commit it Rainer.
Comment 3 commit-hook freebsd_committer 2022-05-24 05:18:49 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c474d561219b58c93c8fec90f4bd894a133968a2

commit c474d561219b58c93c8fec90f4bd894a133968a2
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2022-05-24 05:07:23 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2022-05-24 05:16:51 +0000

    sysutils/fusefs-ntfs: Add ntfsusermap tool

    ntfsusermap creates a so called 'UserMap' file from a NTFS partition.
    When the user copies it to a '.NTFS-3G' named directory of this NTFS
    partition, the permissions should be set after mounting.

    PR:             261714
    Approved by:    maintainer timeout

 sysutils/fusefs-ntfs/files/patch-ntfsprogs__Makefile.in | 10 ++++++----
 sysutils/fusefs-ntfs/pkg-plist                          |  5 +++--
 2 files changed, 9 insertions(+), 6 deletions(-)
Comment 4 Rainer Hurling freebsd_committer 2022-05-24 05:20:03 UTC
(In reply to Alexey Dokuchaev from comment #2)
Hi Alexey, thanks for the reminder ;)
Comment 5 Alexey Dokuchaev freebsd_committer 2022-05-26 08:49:42 UTC
I've reworked this ad hoc approach in ports 2633fefb6d4a, there's actually a configure option for that matter (and one less patch to maintain in the port).
Comment 6 Rainer Hurling freebsd_committer 2022-05-26 10:24:15 UTC
(In reply to Alexey Dokuchaev from comment #5)
Great! That is a much better solution than mine. I must have overlooked the option in configure.

And thanks for the info :)